# Class RepositoriesController < ProjectResourceController

- app/controllers/repositories_controller.rb

Methods

A
  - archive
B
  - branches
S
  - show,
  - stats
T
  - tags

Instance Public methods
archive() Link

Source: show

    # File app/controllers/repositories_controller.rb, line 24
    def archive
      unless can?(current_user, :download_code, @project)
        render_404 and return
      end

      file_path = @project.archive_repo(params[:ref])

      if file_path
        # Send file to user
        send_file file_path
      else
        render_404
      end
    end

branches() Link

Source: show

    # File app/controllers/repositories_controller.rb, line 11
    def branches
      @branches = @project.branches
    end

show() Link

Source: show

    # File app/controllers/repositories_controller.rb, line 7
    def show
      @activities = @project.commits_with_refs(20)
    end

stats() Link

Source: show

    # File app/controllers/repositories_controller.rb, line 19
    def stats
      @stats = Gitlab::GitStats.new(@project.repo, @project.root_ref)
      @graph = @stats.graph
    end

tags() Link

Source: show

    # File app/controllers/repositories_controller.rb, line 15
    def tags
      @tags = @project.tags
    end